Summary: Rename multiple files
Name: ren
Version: 1.0
Release: alt1_18.2.1
License: Public Domain
Group: File tools
Source: ftp://sunsite.unc.edu/pub/Linux/utils/file/ren-1.0.tar.gz
Patch0: ren-1.0.Wall.patch
URL: http://linux.maruhn.com/sec/ren.html
Source44: import.info

%description
Whereas mv can rename (as opposed to move) only one file at a time,
ren can rename many files according to search and replacement
patterns, ala VMS and MS-DOS (but better). ren checks for replacement name
collisions and handles rename chains (1 goes to 2 goes to 3 etc.)
gracefully.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
#there is no install script included in the upstream Makefile
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1/
install -m 755 ren %{buildroot}/%{_bindir}
install -m 644 -p ren.1 %{buildroot}/%{_mandir}/man1/


%files
%doc README
%{_mandir}/man1/ren.1*
%{_bindir}/ren

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_18.2.1
- initial fc import

